import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceFinancialGetPayedFactorsService = createAsyncThunk(
  "PROVINCE_FINANCIAL_GET_PAYED_FACTORS_SERVICE",
  async (d) => {
    const { data, status } = await axios.get("kill_house_factor_province/", {
      params: { role: getRoleFromUrl() },
    });
    return { data, status };
  }
);
